QGIS Application - Bug report #19743
New lines character is weirdly rendered in layout label item text, breaking expressions
2018-08-31 06:58 PM - Harrissou Santanna

Status: Closed

Priority: High

Assignee:

Category: Expressions

Affected QGIS version:3.3(master) Regression?: Yes

Operating System: Windows 10 Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed/implemented
Crashes QGIS or corrupls data: Copied to github as #: 27568
Description

Open a layout and add a label item

Using the "Insert expression" button, | wrote a long multiline expression, to improve readability.

Code looks valid and | applied.

Later on, | decided to add more details to the expression, hence selected the whole content of the label item's "main properties" frame,
including the brackets and click "insert expression"

In the new dialog, the previously successful expression is marked as invalid and some weird characters are added to the command.
Give a look to the attached image showing the code | first wrote, and then how it's rendered at reopening the dialog.

It looks like the new line character is not handled in the code.

Associated revisions

Revision bb911707 - 2018-09-04 10:04 AM - Nyall Dawson

[layouts] Fix label expression contains unicode characters when edited

Fixes #19743

Revision fbed86eb - 2018-09-06 05:04 AM - Nyall Dawson

[layouts] Fix label expression contains unicode characters when edited

Fixes #19743

(cherry picked from commit bb9117075d14a748c8ca6632cd23cb5668abc4f5)

History

#1 - 2018-09-04 10:03 AM - Nyall Dawson
- % Done changed from 0 to 100
- Status changed from Open to Closed

Applied in changeset commit:qgis|bb9117075d14a748c8ca6632cd23cb5668abc4f5.

#2 - 2018-09-04 10:53 AM - Giovanni Manghi
- Resolution set to fixed/implemented
